$book-hotel-box-bg: #6666FF;
$book-air-ticket-box-bg: #0099FF;
$book-train-ticket-box-bg: #339900;
$book-hotel-card-center-bg: #5B5BFA;
$book-air-ticket-card-center-bg: #058DE7;
$book-train-ticket-card-center-bg: #338F06;
.title-ellipsis {
    display: inline-block;
    width: 156px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.panel {
    header p {
        margin-top: 1em;
        color: #A2A2A2;
    }
}

.step-wrap {
    height: 80px;
    font-size: 0;
    padding: 0;
    margin-bottom: 20px;
    li {
        position: relative;
        display: inline-block;
        font-size: 14px;
        width: 25%;
        height: 100%;
        &:after {
            position: absolute;
            top: 0;
            right: -39px;
            z-index: 1000;
            content: "";
            border-top: 40px solid transparent;
            border-bottom: 40px solid transparent;
            border-left: 20px solid black;
            border-right: 20px solid transparent;
        }
        p {
            padding: 0;
            margin: 0;
        }
    }
    .step-number {
        $step-cicle-width: 25px;
        text-align: center;
        margin-top: 15px;
        i {
            display: inline-block;
            font-style: normal;
            width: $step-cicle-width;
            height: $step-cicle-width;
            border-radius: $step-cicle-width/2;
            text-align: center;
            line-height: $step-cicle-width;
            background: #e3e3e3;
            color: #fff;
        }
    }
    .step-tip {
        width: 100%;
        color: #9E9E9E;
        padding: 0 20px;
        margin-top: 5px;
        text-align: center;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }
    .step1 {
        border-radius: 5px 0 0 5px;
        background-color: #FEDEAF;
        .step-number i {
            background-color: #FF9800;
        }
        .step-tip {
            color: #FF9800;
        }
        &:after {
            border-left-color: #FEDEAF;
        }
    }
    .step2 {
        background-color: #e6e5e5;
        .step-number i {
            background-color: #E0E0E0;
        }
        &:after {
            border-left-color: #e6e5e5;
        }
    }
    .step3 {
        background-color: #F2EFEF;
        .step-number i {
            background-color: #E0E0E0;
        }
        &:after {
            border-left-color: #F2EFEF;
        }
    }
    .step4 {
        border-radius: 0px 5px 5px 0;
        background-color: #fcfafa;
        .step-number i {
            background-color: #E1E1E1;
        }
        &:after {
            display: none;
        }
    }
}

#book-create {
    .hotel-bg {
        background-color: $book-hotel-box-bg;
    }
    .hotel-card-center-bg {
        background-color: $book-hotel-card-center-bg;
    }
    .air-ticket-card-center-bg {
        background-color: $book-air-ticket-card-center-bg;
    }
    .train-ticket-card-center-bg {
        background-color: $book-train-ticket-card-center-bg;
    }
    .air-ticket-bg {
        background-color: $book-air-ticket-box-bg;
    }
    .train-ticket-bg {
        background-color: $book-train-ticket-box-bg;
    }
    .btn-selected-time {
        background: #3c85fd;
        color: white;
    }
    .inline-block-box {
        display: inline-block;
        vertical-align: top;
    }
    padding-bottom: 0px;
    padding-top: 0;
    .form-group-book {
        margin-right: -15px;
        margin-left: -15px;
        margin-bottom: 15px;
    }
    .imediate {
        padding: 8px;
        .form-control-feedback {
            display: none;
        }
    }
    .mutiltravel {
        position: relative;
        top: 3px;
    }
    .badge-box {
        padding: 6px 0px 6px 10px;
    }
    .btn-clean {
        border: none;
        outline: none;
        background: transparent;
        padding: 6px;
    }
    .p-m {
        padding-left: 10px;
        padding-right: 10px;
        margin: 0px;
    }
    .start-city {
        padding-left: 0px;
    }
    .start-date {
        padding-right: 0px;
    }
    .invoice {
        position: relative;
        top: 7px;
    }
    .icon-active {
        color: $etb-color-primary;
    }
    .description-panel {
        background-color: #f4f4f4;
    }
    .trips-panel-wrap {
        position: relative;
        .scroll-left-panel,
        .scroll-right-panel {
            position: absolute;
            top: 43%;
            margin-top: -120px;
            width: 30px;
            height: 30px;
            font-size: 18px;
            border-radius: 4px;
            background-color: black;
            line-height: 30px;
            color: white;
            filter: alpha(opacity=50);
            opacity: 0.5;
            text-align: center;
            cursor: pointer;
        }
        .scroll-left-panel {
            left: 5px;
        }
        .scroll-right-panel {
            right: 5px;
        }
    }
    .add-city-box-etb-city-body {
        border: 0;
        box-shadow: 0 5px 5px 5px rgba(76, 72, 72, 0.32);
        background-color: #fff;
    }
    .btn-clear {
        position: absolute;
        bottom: 30px;
        left: 50%;
        left: 50%;
        margin-left: -35px;
    }
    .trips-panel {
        min-height: 575px;
        background-color: #edeef2;
        padding: 15px 15px 70px 45px;
        overflow-x: auto;
        position: relative;
        .force-inline {
            white-space: nowrap;
        }
        .add-city-box,
        .modify-city-box {
            height: 100px;
            width: 100px;
            margin-top: 50px;
            display: inline-block;
            text-align: center;
            cursor: pointer;
            border: 1px solid #9e9e9e;
            @include border-radius(4px);
            &:hover {
                filter: alpha(opacity=50);
                opacity: 0.5;
            }
        }
        .add-city-box {
            background-color: #3C85F3;
            font-size: 16px;
            color: white;
            @include border-radius(5px);
            .add-dashed-box {
                border: 2px solid white;
                border-style: dashed;
                height: 40px;
                width: 40px;
                line-height: 35px;
                margin: 15px 30px;
                @include border-radius(5px);
            }
        }
        .modify-city-box {
            font-size: 18px;
            background-color: white;
            .modify-dashed-box {
                line-height: 35px;
                width: 40px;
                height: 40px;
                font-size: 35px;
                margin: 14px 30px;
                color: $book-air-ticket-box-bg;
            }
        }
        .icon-city-delete {
            font: inherit;
            font-size: 20px;
            position: relative;
            bottom: 210px;
            left: 82px;
            cursor: pointer;
            &:hover {
                color: $book-air-ticket-box-bg;
            }
        }
        .trips-one-way {
            display: inline-block;
            width: 470px;
            .book-product-box {
                font-size: 14px;
                width: 100px;
                text-align: center;
                display: inline-block;
                cursor: pointer;
                .ico-product-box {
                    height: 50px;
                    width: 60px;
                    color: white;
                    font-size: 30px;
                    @include border-radius(4px);
                    &:hover {
                        opacity: 0.6;
                        filter: alpha(opacity=40);
                    }
                }
            }
            .start-city-box {
                display: inline-block;
                height: 243px;
                width: 100px;
                vertical-align: top;
                .hotel-product-box {
                    display: block;
                }
            }
            .inter-city-independence-panel {
                position: relative;
                top: 74px;
                display: inline-block;
                width: 367px;
            }
            .inter-city-one-way-panel {
                height: 211px !important;
            }
            .inter-city-panel {
                height: 245px;
                display: inline-block;
                position: relative;
                width: 361px;
                .inter-city-body {
                    display: inline-block;
                    height: 245px;
                    width: 361px;
                    position: relative;
                    font-size: 14px;
                    text-align: center;
                    .switch {
                        text-align: left;
                        span {
                            background-color: #b2afaf;
                        }
                    }
                    .trip-switch {
                        .trip-switch-title {
                            position: relative;
                            bottom: 13px;
                            right: 15px;
                        }
                    }
                    .date-time-input {
                        display: inline-block;
                        width: 180px;
                    }
                    .traffic-tools {
                        position: absolute;
                        bottom: -8px;
                        left: 40%;
                    }
                }
            }
            .product-card-panel {
                display: block;
                left: -45px;
                position: relative;
                .product-card-box {
                    vertical-align: top;
                    font-size: 14px;
                    width: 220px;
                    .fa-edit {
                        cursor: pointer;
                        vertical-align: top;
                        margin-top: 5px;
                    }
                    .ahead-line,
                    .later-line {
                        width: 65px;
                        height: 42px;
                        text-overflow: ellipsis;
                        overflow: hidden;
                        text-align: center;
                    }
                    .line-panel {
                        width: 42px;
                        height: 41px;
                        vertical-align: top;
                        text-align: center;
                        padding-top: 6px;
                    }
                    .line {
                        font-size: 12px;
                        display: inline-block;
                        color: #999;
                        border-bottom: 2px solid #d9d9d9;
                        width: 40px;
                    }
                    .air-ticket-car-head {
                        display: inline-block;
                        width: 156px;
                    }
                    .air-ticket-both-panel,
                    .train-ticket-both-panel {
                        width: 232px;
                        position: relative;
                        right: 5px;
                        padding-left: 5px;
                        margin-top: 10px;
                        padding-bottom: 10px;
                        .traffic-card-panel {
                            margin-top: 10px;
                        }
                    }
                    .air-ticket-both-panel {
                        border: 2px dashed $book-air-ticket-box-bg;
                    }
                    .train-ticket-both-panel {
                        border: 2px dashed $book-train-ticket-box-bg;
                    }
                }
                .icon-product-car-delete-panel {
                    font-size: 12px;
                    cursor: pointer;
                    width: 20px;
                    height: 20px;
                    background-color: black;
                    filter: alpha(opacity=40);
                    opacity: 0.4;
                    display: inline-block;
                    vertical-align: top;
                    font: inherit;
                    @include border-radius(50%);
                }
                .product-card-default {
                    height: 240px;
                    @include border-radius(10px);
                    .title {
                        margin-top: 57px;
                        color: white;
                    }
                }
                .hotel-card-panel,
                .traffic-card-panel {
                    width: 220px;
                    transition: all .3s;
                    &:hover {
                        box-shadow: 0 20px 30px 0 rgba(158, 158, 158, 0.75);
                        @include border-radius(10px);
                    }
                }
                .card-body-top {
                    height: 122px;
                    padding: 10px;
                    color: white;
                    -webkit-border-top-left-radius: 10px;
                    -moz-border-top-left-radius: 10px;
                    border-top-left-radius: 10px;
                    -webkit-border-top-right-radius: 10px;
                    -moz-border-top-right-radius: 10px;
                    border-top-right-radius: 10px;
                }
                .card-body-center {
                    height: 28px;
                    color: white;
                    padding: 0 10px;
                    line-height: 28px;
                }
                .card-body-footer {
                    padding: 10px;
                    min-height: 90px;
                    background-color: white;
                    color: black;
                    word-break: break-all;
                    white-space: normal;
                    -webkit-border-bottom-left-radius: 10px;
                    -moz-border-bottom-left-radius: 10px;
                    border-bottom-left-radius: 10px;
                    -webkit-border-bottom-right-radius: 10px;
                    -moz-border-bottom-right-radius: 10px;
                    border-bottom-right-radius: 10px;
                }
            }
        }
    }
}

.w620 {
    width: 620px!important;
}

.ticket-head {
    color: #ccc!important;
    background-color: #fff!important;
    border-color: #fff!important;
}

.ticket-head > .ticket-num {
    color: #2C3E50!important;
}

.trip-needs {
    margin-bottom: 25px!important;
}


/* note */

.note-default {
    i {
        font-size: 16px;
        padding-right: 6px;
        color: #2ecc71;
    }
}


/* response */

@media (max-width: 768px) {
    #book-create {
        .start-city {
            padding-left: 10px;
        }
        .start-date {
            padding-right: 10px;
        }
        .b-mb15 {
            margin-bottom: 10px;
        }
    }
}

.add-travel {
    font-size: 0;
    width: 600px;
    padding: 5px 35px 20px 5px;
    .item {
        .form-group {
            margin: 0!important;
        }
        margin-bottom: 10px;
        label {
            width: 95px;
            text-align: right;
            vertical-align: top;
            padding-top: 5px;
            margin-right: 10px;
            &.vertical-top {
                vertical-align: top;
            }
        }
        select.time {
            padding-right: 0!important;
        }
        input.span-marsk {
            border: 0;
            background: transparent;
        }
        .input-wrap {
            display: inline-block;
        }
    }
    .item-full {
        font-size: 14px;
        width: 100%;
        .form-control {
            display: inline-block;
            width: 450px;
        }
    }
    .item-half {
        font-size: 14px;
        display: inline-block;
        vertical-align: top;
        width: 50%;
        .form-control {
            display: inline-block;
            width: 170px;
        }
    }
    .custom-tag {
        text-align: right;
        .create {
            input {
                vertical-align: middle;
                width: 340px;
                display: inline-block;
                margin-right: 10px;
            }
        }
        ul {
            width: 450px;
            display: inline-block;
            margin-top: 10px;
        }
    }
    .tag-container {
        text-align: left;
        height: auto;
        padding: 10px!important;
        li {
            display: inline-block;
            padding: 5px 10px;
            color: #333;
            border: 1px solid #f5f5f5;
            border-radius: 3px;
            cursor: pointer;
            margin: 0 5px 5px 0;
            transition: all .3s;
            &.selected {
                color: #fff;
                background: #4caf50;
                border-color: #4caf50;
            }
            .remove {
                font-size: 16px;
                margin-left: 10px;
            }
        }
    }
    .show-more {
        font-size: 14px;
        text-align: center;
        padding-bottom: 10px;
        padding-left: 30px;
        span {
            padding: 2px 10px;
            cursor: pointer;
            color: #CCCACA;
            &:hover {
                color: #333;
            }
        }
    }
    .btns {
        padding-left: 30px;
    }
}

.add-travel-dialog {
    .ngdialog-content {
        width: 600px!important;
        padding: 0!important;
    }
    .ngdialog-close {
        display: none;
    }
}

.preview-dialog {
    .ngdialog-content {
        width: 900px!important;
        padding: 50px 100px!important;
    }
    .ngdialog-close {
        display: none;
    }
    .font-m-8 {
        margin: 0 8px;
    }
    .preview-info {
        color: #292929;
        .head-title {
            font-size: 24px;
            font-weight: 400;
        }
        p {
            color: #292929;
        }
        .item {
            font-size: 16px;
        }
        .desc {
            padding-left: 24px;
        }
        .other {
            white-space: pre-wrap;
            margin-top: 20px;
            margin-bottom: 20px;
        }
        .btns {
            padding-top: 30px;
        }
        .main-content {
            border-bottom: 1px solid #eee;
        }
    }
}
